
From: "Chen, Kenneth W" <kenneth.w.chen@intel.com>

The only path to get to del_timer call in __generic_unplug_device() is when
blk_remove_plug() returns 1, and in that case it already removed the
unplug_timer.

Patch to remove this redundant call.


---

 25-akpm/drivers/block/ll_rw_blk.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN drivers/block/ll_rw_blk.c~remove-redundant-unplug_timer-deletion drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~remove-redundant-unplug_timer-deletion	Wed Mar 10 15:46:50 2004
+++ 25-akpm/drivers/block/ll_rw_blk.c	Wed Mar 10 15:46:50 2004
@@ -1137,8 +1137,6 @@ static inline void __generic_unplug_devi
 	if (!blk_remove_plug(q))
 		return;
 
-	del_timer(&q->unplug_timer);
-
 	/*
 	 * was plugged, fire request_fn if queue has stuff to do
 	 */

_
